/*
 *  GUI/AboutWindow.cs
 *  Copyright (C) 2006-2007 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using System.Reflection;
using Incollector.GUI.Widgets;

namespace Incollector.GUI {
	
	public class AboutWindow : DialogTemplate {
		
		[Glade.Widget] protected Gtk.Table MainTable;
		[Glade.Widget] protected Gtk.Image Icon;
		[Glade.Widget] protected Gtk.Label VersionLabel;
		
		
		public AboutWindow (Gtk.Window parent) : base ("AboutDialog", parent)
		{
			this.dialog.Hide();
			string BannerName = "about.png";
			
			Colors.Modify (Colors.WHITE, "Bg", GuiXml);
			this.Icon.Pixbuf = new Gdk.Pixbuf (Assembly.GetEntryAssembly (), BannerName);
			this.VersionLabel.Text = Engine.Defines.Version;
			
			MainTable.Attach (new LinkLabel (Incollector.Engine.Urls.IncollectorWebsite), 1, 2, 3, 4);
			this.dialog.Show();
		}
	}
	
}
