/*
 *  GUI/Widgets/RatingBox.cs
 *  Copyright (C) 2006-2007 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using System.Reflection;
using Gtk;


namespace Incollector.GUI.Widgets {
	
	public class RatingEntry : Gtk.ComboBox {
	
		public int Rating {
			get {
				return this.Active;
			}
			
			set {
				this.Active = value;
			}
		}
		
		
		public RatingEntry ()
		{
			Gtk.ListStore RatingStore = new Gtk.ListStore (typeof (Gdk.Pixbuf));
			this.Model = RatingStore;
			
			Gtk.CellRendererPixbuf RPixRend = new Gtk.CellRendererPixbuf ();
			RPixRend.Xpad = 6;
			
			this.Clear ();
			this.PackStart (RPixRend, false);
			this.AddAttribute (RPixRend, "pixbuf", 0);
			
			RatingStore.AppendValues (new object [] {new Gdk.Pixbuf (Assembly.GetEntryAssembly (), "stars.bigger-0.png")});
			RatingStore.AppendValues (new object [] {new Gdk.Pixbuf (Assembly.GetEntryAssembly (), "stars.bigger-1.png")});
			RatingStore.AppendValues (new object [] {new Gdk.Pixbuf (Assembly.GetEntryAssembly (), "stars.bigger-2.png")});
			RatingStore.AppendValues (new object [] {new Gdk.Pixbuf (Assembly.GetEntryAssembly (), "stars.bigger-3.png")});
			
			
			this.Rating = 0;
			this.ShowAll ();
		}
	}
}
